#
# spec file for package
#
# Copyright (c) 2010 Dominique Leuenberger, Amsterdam, Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lame
Version:        3.98.4
Release:        1.2
License:        LGPL
Summary:        LAME Ain't an MP3 Encoder
Url:            http://lame.sourceforge.net/
Group:          Productivity/Multimedia/Other
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  nasm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LAME is an educational tool to be used for learning about MP3 encoding.  The
goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.  Another goal of the LAME
project is to use these improvements for the basis of a  patent free audio
compression codec for the GNU project.

%package -n libmp3lame-devel
Summary:        LAME Ain't an MP3 Encoder - Development libraries
Group:          Development/Libraries/C and C++
Requires:       libmp3lame0  = %{version}
Obsoletes:      lame-devel
Provides:       lame-devel

%description -n libmp3lame-devel
LAME Development Headers

%package -n libmp3lame0
Summary:        Shared Library: mp3lame - MP3 Encode
Group:          System/Libraries

%description -n libmp3lame0
Shared Library: mp3lame. Usually installed by the system to resolve dependencies.

%prep

%setup -q

%build
%configure \
	--enable-nasm \
	--enable-decoder \
        --enable-analyzer
make

%install
%makeinstall
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/doc/%{name} %{buildroot}%{_docdir}/
rm %{buildroot}%{_libdir}/libmp3lame.la

%post -n libmp3lame0 -p /sbin/ldconfig

%postun -n libmp3lame0 -p /sbin/ldconfig

%clean
rm -rf %{buildroot};

%files
%defattr (-,root,root)
%doc LICENSE USAGE COPYING API TODO README* HACKING ChangeLog
%{_bindir}/lame
%{_mandir}/man1/lame.1.gz

%files -n libmp3lame0
%defattr (-,root,root)
%{_libdir}/libmp3lame.so.0*

%files -n libmp3lame-devel
%defattr (-,root,root)
%{_includedir}/lame/
%{_libdir}/libmp3lame.a
%{_libdir}/libmp3lame.so


%changelog
* Mon Apr 19 2010 dominique-vlc.suse@leuenberger.net
- Update to 3.98.4:
